[vlc-commits] extras/macosx: don't forget the tools we need to build on OSX
Felix Paul Kühne
git at videolan.org
Wed Dec 19 17:09:52 CET 2012
npapi-vlc | branch: master | Felix Paul Kühne <fkuehne at videolan.org> | Wed Dec 19 17:09:45 2012 +0100| [5faccfd3867b3c94785fe5137f7011c08eb544fd] | committer: Felix Paul Kühne
extras/macosx: don't forget the tools we need to build on OSX
> http://git.videolan.org/gitweb.cgi/npapi-vlc.git/?a=commit;h=5faccfd3867b3c94785fe5137f7011c08eb544fd
---
extras/macosx/build-vlc.sh | 11 +++++++++--
1 file changed, 9 insertions(+), 2 deletions(-)
diff --git a/extras/macosx/build-vlc.sh b/extras/macosx/build-vlc.sh
index e867124..9f41add 100755
--- a/extras/macosx/build-vlc.sh
+++ b/extras/macosx/build-vlc.sh
@@ -85,6 +85,13 @@ spopd #extras/macosx
# Build time
#
+info "Building tools"
+spushd extras/macosx/vlc/extras/tools
+if ! [ -e build ]; then
+./bootstrap && make
+fi
+spopd
+
info "Fetching contrib"
spushd extras/macosx/vlc/contrib
@@ -103,7 +110,7 @@ export CXX="xcrun clang++"
export OBJC="xcrun clang"
PREFIX="${npapi_root_dir}/extras/macosx/vlc/64bit_install_dir"
-info "Configuring vlc"
+info "Configuring VLC"
if ! [ -e ${PREFIX} ]; then
mkdir ${PREFIX}
@@ -151,7 +158,7 @@ cd 64build
--disable-macosx-vlc-app \
--prefix=${PREFIX} > ${out}
-info "Compiling vlc"
+info "Compiling VLC"
CORE_COUNT=`sysctl -n machdep.cpu.core_count`
let MAKE_JOBS=$CORE_COUNT+1
More information about the vlc-commits
mailing list